//
//  ViewController.swift
//  AV Player
//
//  Created by Merlyn on 10/2/15.
//  Copyright © 2015 The App Lady. All rights reserved.
//

import UIKit
import AVKit
import AVFoundation

class ViewController: UIViewController {
    @IBOutlet weak var tableView: UITableView!
    var tableDataSource = [Video]()
    var selectedUrl = String()
    var selectedTitle = String()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        let video1 = Video()
        video1.title = "Big Buck Bunny movie trailer"
        video1.url = "http://jplayer.org/video/m4v/Big_Buck_Bunny_Trailer.m4v"
        tableDataSource.insert(video1, atIndex: 0)
        
        let video2 = Video()
        video2.title = "Kid Tobogganing"
        video2.url = "http://www.ebookfrenzy.com/ios_book/movie/movie.mov"
        tableDataSource.append(video2)
        
        let video3 = Video()
        video3.title = "Cat vs Snake"
        video3.url = "http://theapplady.net/wp-content/uploads/2014/12/Cat-VS-Snake-Video-Clip-funny-and-amazing-videos-Joy-4all.mp4"
        tableDataSource.append(video3)
        
        let video4 = Video()
        video4.title = "If I Were A Boy music video"
        video4.url = "http://theapplady.net/wp-content/uploads/2014/12/Beyonce-If-I-Were-A-Boy.mp4"
        tableDataSource.append(video4)
        
        let video5 =  Video()
        video5.title = "Beyonce Halo music video"
        video5.url = "http://theapplady.net/wp-content/uploads/2014/12/Beyonce-halo.mp4"
        tableDataSource.append(video5)
        
        let video6 =  Video()
        video6.title = "Crazy"
        video6.url = "http://theapplady.net/wp-content/uploads/2014/12/Gnarls-Barkley-Crazy.mp4"
        tableDataSource.append(video6)
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source
    
    func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }
    
    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return tableDataSource.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("videoCell", forIndexPath: indexPath) as UITableViewCell
        
        let video: Video = tableDataSource[indexPath.row]
        cell.textLabel!.text = video.title
        return cell
    }

    // MARK: - Navigation
    
    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if segue.identifier == "showVideoPlayer" {
            if let indexPath = self.tableView.indexPathForSelectedRow {
                let video = tableDataSource[indexPath.row]
                let destination = segue.destinationViewController as! AVPlayerViewController
                let url = NSURL(string: video.url)!
                destination.player = AVPlayer(URL: url)
                destination.player?.play()
            }
        }
    }

}
